program example1;

{$Ipchr.i  }    { Include the character routines.  THE SPACES AFTER THE .i }
                { EXTENSION MUST BE INCLUDED }

var
      shapes : charset;        { the array to hold the character shapes }
      message : charmessage;   { the array to hold the message to be plotted }
      errno : integer;         { to hold the return value from READCSET }
      i,m : integer;           { loop indices }

begin { main program }
   errno := readcset(shapes,'alpha.chr');
                               { read the character set }
   if errno <> -1 then         { if all ok }
      begin
         graphcolormode;       { set to 320 x 200 graphics }
         message[0] := 65;     { graphics character 65 }
         message[1] := 67;     { etc. }
         message[2] := 69;
         getvect;              { save the system vector }
         setvect(shapes);      { and insert our own }
         printbanner(2,5,message,2,1);
                               { print the message in color 1, cyan }
                               { note that this displays only the first 2 }
                               { characters, so the 3rd is "hidden" }
         for i := 1 to 8*3*20 do
                               { rotate through all 8 columns of the 3 chars }
                               { 20 times }
            begin
               for m := 1 to 1500 do ;
                               { waste a little time }
               bannerleft(shapes,message,3);
                               { rotate all left so all characters take turns
                                 being hidden }
               printbanner(2,5,message,2,1);
                               { and display it again }
            end;
         for m := 0 to 30000 do ;
                               { one last time delay }
         restorevect;          { put the system vector back }
         textmode;             { turn the graphics off }
      end;                     { end of the if }
end.                           { end of the program }

